Package Details: gnucash-xbt 3.2-2

Git Clone URL: https://aur.archlinux.org/gnucash-xbt.git (read-only)
Package Base: gnucash-xbt
Description: A personal and small-business financial-accounting application with Bitcoin support
Upstream URL: http://www.gnucash.org
Keywords: bitcoin finances gnucash
Licenses: GPL
Conflicts: gnucash, gnucash-devel
Provides: gnucash
Submitter: b3niup
Maintainer: b3niup
Last Packager: b3niup
Votes: 7
Popularity: 0.090842
First Submitted: 2015-01-06 16:29
Last Updated: 2018-09-24 08:12

Latest Comments

ronald0 commented on 2018-09-24 09:06

Fixed, thank you @b3niup! :)

b3niup commented on 2018-09-24 08:14

@ronald0 done, it should build fine in 3.2-2 :)

ronald0 commented on 2018-09-24 01:07

/tmp/yaourt-tmp/aur-gnucash-xbt-minimal/src/gnucash-3.2/libgnucash/engine/Account.cpp: In function ‘void gnc_account_class_init(AccountClass*)’:

/tmp/yaourt-tmp/aur-gnucash-xbt-minimal/src/gnucash-3.2/libgnucash/engine/Account.cpp:575:59: error: ‘void g_type_class_add_private(gpointer, gsize)’ is deprecated [-Werror=deprecated-declarations]

 g_type_class_add_private(klass, sizeof(AccountPrivate));
                                                       ^

In file included from /usr/include/glib-2.0/gobject/gobject.h:24,

/usr/include/glib-2.0/gobject/gtype.h:1303:10: note: declared here

void g_type_class_add_private (gpointer g_class, ^~~~~~~~~~~~~~~~~~~~~~~~

/tmp/yaourt-tmp/aur-gnucash-xbt-minimal/src/gnucash-3.2/libgnucash/engine/Account.cpp:575:59: error: ‘void g_type_class_add_private(gpointer, gsize)’ is deprecated [-Werror=deprecated-declarations]

 g_type_class_add_private(klass, sizeof(AccountPrivate));
                                                       ^

In file included from /usr/include/glib-2.0/gobject/gobject.h:24, ... /usr/include/glib-2.0/gobject/gtype.h:1303:10: note: declared here

void g_type_class_add_private (gpointer g_class, ^~~~~~~~~~~~~~~~~~~~~~~~ ...

At global scope: cc1plus: error: unrecognized command line option ‘-Wno-deprecated-register’ [-Werror] cc1plus: all warnings being treated as errors make[2]: *** [libgnucash/engine/CMakeFiles/gncmod-engine.dir/build.make:69: libgnucash/engine/CMakeFiles/gncmod-engine.dir/Account.cpp.o] Error 1

make[2]: Waiting for unfinished jobs.... make[1]: [CMakeFiles/Makefile2:4310: libgnucash/engine/CMakeFiles/gncmod-engine.dir/all] Error 2 make: *** [Makefile:163: all] Error 2 ==> ERROR: A failure occurred in build().

b3niup commented on 2018-04-21 02:31

I've added minimal version of this gnucash build - without ofx/qfx import and aqbanking support - https://aur.archlinux.org/packages/gnucash-xbt-minimal/

b3niup commented on 2017-10-04 00:36

@Plexcon unfortunately you need to rebuild webkitgtk2 (webkitgtk in AUR) to make it build again in your system both for old (2.6.17) and new (2.6.18) version.

Plexcon commented on 2017-09-18 15:28

/usr/lib/libwebkitgtk-1.0.so.0: undefined reference to `cairo_gl_surface_get_width'
/usr/lib/libwebkitgtk-1.0.so.0: undefined reference to `cairo_gl_surface_get_height'
/usr/lib/libwebkitgtk-1.0.so.0: undefined reference to `cairo_gl_device_set_thread_aware'
/usr/lib/libwebkitgtk-1.0.so.0: undefined reference to `cairo_egl_device_create'
/usr/lib/libwebkitgtk-1.0.so.0: undefined reference to `cairo_gl_surface_create_for_texture'
/usr/lib/libwebkitgtk-1.0.so.0: undefined reference to `cairo_glx_device_create'
collect2: error: ld returned 1 exit status
make[4]: *** [Makefile:687: gnucash] Error 1
make[4]: se sale del directorio '/tmp/pamac-build-kantergos/gnucash-xbt/src/gnucash-2.6.17/src/bin'
make[3]: *** [Makefile:787: all-recursive] Error 1
make[3]: se sale del directorio '/tmp/pamac-build-kantergos/gnucash-xbt/src/gnucash-2.6.17/src/bin'
make[2]: *** [Makefile:550: all-recursive] Error 1
make[2]: se sale del directorio '/tmp/pamac-build-kantergos/gnucash-xbt/src/gnucash-2.6.17/src'
make[1]: *** [Makefile:784: all-recursive] Error 1
make[1]: se sale del directorio '/tmp/pamac-build-kantergos/gnucash-xbt/src/gnucash-2.6.17'
make: *** [Makefile:637: all] Error 2
==> ERROR: Se produjo un fallo en build().
Cancelando...

b3niup commented on 2015-01-06 16:33

This version supports Bitcoin fractions up to microbitcoin - supporting satoshi needs much more patching, so feel free to submit patches if you really need satoshi support :)